{% extends "base.html" %}

{% block nav %}

{% endblock nav %}

{% block main %}
<div>
    <h1>My Tasks</h1>
    {% if task  %}
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Start date</th>
                <th>Due date</th>
                <th>Is completed</th>
            </tr>
        </thead>
        <tbody>
            {% for task in task %}
            <tr>
                <td>{{ task.name }}</td>
                <td>{{ task.start_date }}</td>
                <td>{{ task.due_date }}</td>
                <td>{{ task|yesno:"yes,no" }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    {% else %}
    <p>You have no tasks</p>
    {% endif %}
</div>
{% endblock main %}
